Bug 36383 - EDITING auto row height or change row height removes AutoFilter result
Summary: EDITING auto row height or change row height removes AutoFilter result
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low minor
Assignee: Tünde Tóth
URL: https://bz.apache.org/ooo/show_bug.cg...
Whiteboard:
Keywords:
: 74510 (view as bug list)
Depends on:
Blocks: AutoFilter
  Show dependency treegraph
 
Reported: 2011-04-19 01:42 UTC by Gualtiero Testa
Modified: 2021-09-21 12:46 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
ODS file to show the bug (8.44 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-04-19 01:43 UTC, Gualtiero Testa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gualtiero Testa 2011-04-19 01:42:32 UTC
Hi,

when using filter, only the rows which match the filter are shown. Correct.

But if I use the auto height feature (optimal row height) by double clicking on the column which contains the rows number (on the left), some of the filter-out rows are shown again. This is not correct.

In the attached file there are four data rows and one header row.

If I add a filter on the first column (Type) to select the rows which contains the value "A", the filter hide the row 4 which contains the value "B".

The row with "B" is show again if I double click on the row dividers, even if the filter is in place !
Comment 1 Gualtiero Testa 2011-04-19 01:43:28 UTC
Created attachment 45800 [details]
ODS file to show the bug
Comment 2 Rainer Bielefeld Retired 2011-04-19 04:39:27 UTC
[Reproducible] with reporter's sample document and "LibreOffice 3.3.2  – WIN7  Home Premium  (64bit) German UI [OOO330m19 (Build:202 / tag 3.3.2.2)]". Also reproducible with my own documents.

Steps to reproduce:
0. open sample document document
1. Click autofilter filter pulldown in 'B1'
2. Select filter for "AA"
   At least row 4 will disappear (additional rows depend on your search
   and filter settings)
3. Click common Row / Column Heading field to select all
   (or press <cntrl>+<a>
4. Right click on row heading "2" 
   context menu appears
5. Click 'Optimal row height'
   expected: nothing than row height will change
   actual: invisible rows will become visible.

The corresponding OOo issue is
"Changing row height shows filtered rows"
<http://openoffice.org/bugzilla/show_bug.cgi?id=35581>

@Muthu:
Your area?
Comment 3 Gualtiero Testa 2011-05-01 11:59:20 UTC
Hi,

I've found that the Microsoft Excel 2007 shows the same behaviour as the one reported in this bug.

So may be Calc programmers have decided here to emulate Excel.

In any case, it looks to me a very strange behaviour.
Comment 4 Muthu 2011-07-01 03:17:39 UTC
Yes, seems like it is done on purpose (as described in the OOo bugzilla/issuezilla). Maybe wait for more suggestions?
Comment 5 Rainer Bielefeld Retired 2011-07-01 03:40:17 UTC
Old issue, also visible in OOo 3.1.1, 1.1.4

I really would be glad if  LibO would stop to emulate EXCEL bugs ;-)
Any Idea what for what the current should be useful? Why will row height be modified for rows hidden by filter, but modification of background, number format and others will not touch hidden rows? To me the current behavior seems to be without any logic.
I can't read in OOo issues that the observed behavior might be intended.
Comment 6 Muthu 2011-12-15 01:22:15 UTC Comment hidden (obsolete)
Comment 7 Muthu 2012-01-11 03:33:04 UTC Comment hidden (no-value)
Comment 8 retired 2014-01-08 09:20:25 UTC Comment hidden (obsolete)
Comment 9 Joel Madero 2015-05-02 15:41:33 UTC Comment hidden (obsolete)
Comment 10 Gualtiero Testa 2015-05-04 06:22:05 UTC
I confirm the bug (tested again on LO 4.4.2.2 on Windows 7)

No changes in the behaviour.
Comment 11 Buovjaga 2015-10-16 19:37:25 UTC
*** Bug 74510 has been marked as a duplicate of this bug. ***
Comment 12 QA Administrators 2016-11-08 11:17:01 UTC Comment hidden (obsolete)
Comment 13 Thomas Lendo 2017-10-18 19:37:15 UTC
Still repro.

Version: 6.0.0.0.alpha0+
Build ID: 5ea1b4c336d1cad92dc18e7cf7e4b381396f448b
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group
moggi's auto updater build, 2017-10-18
Comment 14 Roman Kuznetsov 2018-07-29 17:48:10 UTC
still repro in lo 6.1.0.2
Comment 15 b. 2020-05-28 09:16:27 UTC
repro in 7.0, 

is the filtration realized graphically?

Version: 7.0.0.0.alpha1+ (homebrew)
Build ID: 49fc4913ba7fc4a0be2e32407205edd8f31b3172
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: de-DE (en_US.UTF-8); UI: en-US
Calc:
Comment 16 Commit Notification 2021-03-22 13:17:17 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3678e0efcb8bedc58dd329a430da0ac3b1572df8

tdf#36383 sc AutoFilter: fix changing row height

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 NISZ LibreOffice Team 2021-04-08 12:29:04 UTC
Verified in: 

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: ea4fb1559f7b99a0bfaf18f26cb3b6972c9cde1c
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded
Comment 18 Commit Notification 2021-09-03 07:35:59 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9e7f07dc1378354a5228898e339f8336bbbb41f3

tdf#144155: Revert "tdf#36383 sc AutoFilter: fix changing row height"

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2021-09-03 14:08:00 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/91eb9e16cd73df2249a24f949ea8bef62bbe2d09

tdf#144155: Revert "tdf#36383 sc AutoFilter: fix changing row height"

It will be available in 7.2.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2021-09-08 17:35:11 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-2-1":

https://git.libreoffice.org/core/commit/98a3abe58f13c875505fded61b4a39840600b3a3

tdf#144155: Revert "tdf#36383 sc AutoFilter: fix changing row height"

It will be available in 7.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Eike Rathke 2021-09-10 13:13:20 UTC
See my comment for how to avoid the performance bottleneck at
https://gerrit.libreoffice.org/c/core/+/112006/comment/772718de_430d7c4f/